// ------------------------------------------------------------
// Patternlab atoms
// ------------------------------------------------------------

/* ::Global */
/* ------------------------------------------------------------ */

/* Global > fontes */
// ----> Voir dans libs/typography


/* Global > animations */

.animate-fade {
   transition: opacity .3s ease-out;
   &:hover {
      opacity: 0;
   }
}
.animate-move {
   > .demo-shape {
    transition: all .8s ease-in-out;
   }
}

/* Global > visibility */

/* Completely remove from the flow and screen readers. */
.is-hidden {
    display: none !important;
    visibility: hidden !important;
}

/* Completely remove from the flow but leave available to screen readers. */
.is-vishidden {
    position: absolute !important;
    overflow: hidden;
    width: 1px;
    height: 1px;
    padding: 0;
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
}

/* Display Classes */
.hide-small {
    @media all and (max-width: $screen-md) {
        display: none;
    }
}

.hide-med {
    @media all and (min-width: $screen-md) and (max-width: $screen-lg) {
        display: none;
    }
}

.hide-large {
    @media all and (min-width: $screen-lg) {
        display: none;
    }
}


/* ::Images */
/* ------------------------------------------------------------ */

img, video, object {
  //max-width: 100%;
  height: auto;
}

img{
  vertical-align: middle;
}


/* Images > logo */
a.logo{
  text-decoration: none;
  color: $base-color;
  &:hover{
    color: $action;
  }
  h1{
    @media (min-width: $screen-sm){
      margin-bottom: 0;
    }
    @include font-size($beta-font-sizes);
    text-align: center;
  }
}


/* ::Forms */
/* ------------------------------------------------------------ */

.form-group{
  label{
    font-weight: normal;
    @extend .font-body-bold;
  }
  input,
  textarea{
    @extend .font-body;
  }
}

.form-control:focus{
  box-shadow: none;
}

.button{
  text-decoration: none;
  opacity: 1;
  transition: opacity .3s ease-in-out;
  &.more{
    font-size: 35px;
  }
}
.button:hover{
  opacity: .6;
}
